-- This file is loaded from "SoloRaidFrame.toc"


--- SLASH COMMANDS
SLASH_HIDE1 = "/srfhideparty";
SLASH_SHOW1 = "/srfshowparty";
SLASH_RAIDX1 = "/srfhideraid";
SLASH_NUM1 = "/srfshowraid";



--- HIDE OR SHOW PARTY HEADER
   function HidePartyHeader(msg, editBox)
   if CompactPartyFrameTitle then
      editBox:Hide()
      editBox:SetText("")
      print("|cffFF0000 SRF - Party Header Disabled")
      CompactPartyFrame.title:SetAlpha(0);    	  
   end
end

   local function ShowPartyHeader(msg, editBox)
   if CompactPartyFrameTitle then
      editBox:Hide()
      editBox:SetText("")
      print("|cffFF0000 SRF - Party Header Enabled")
	  CompactPartyFrameTitle:SetAlpha(1);
   end
end

   local function ShowRaidHeader(msg, editBox)
   if CompactPartyFrameTitle then
      editBox:Hide()
      editBox:SetText("")
      print("|cffFF0000 SRF - Raid Headers Enabled")
	  CompactRaidGroup1Title:SetAlpha(1);
	  CompactRaidGroup2Title:SetAlpha(1);
	  CompactRaidGroup3Title:SetAlpha(1);
	  CompactRaidGroup4Title:SetAlpha(1);
	  CompactRaidGroup5Title:SetAlpha(1);
	  CompactRaidGroup6Title:SetAlpha(1);
	  CompactRaidGroup7Title:SetAlpha(1);
	  CompactRaidGroup8Title:SetAlpha(1);
   end
end


   local function HideRaidHeader(msg, editBox)
   if CompactPartyFrameTitle or CompactRaidGroup1Title then
      editBox:Hide()
      editBox:SetText("")
      print("|cffFF0000 SRF - Raid Headers Disabled")
	  CompactRaidGroup1Title:SetAlpha(0);
	  CompactRaidGroup2Title:SetAlpha(0);
	  CompactRaidGroup3Title:SetAlpha(0);
	  CompactRaidGroup4Title:SetAlpha(0);
	  CompactRaidGroup5Title:SetAlpha(0);
	  CompactRaidGroup6Title:SetAlpha(0);
	  CompactRaidGroup7Title:SetAlpha(0);
	  CompactRaidGroup8Title:SetAlpha(0);
   end
end

--- SLASHCMDLIST
SlashCmdList["HIDE"] = HidePartyHeader;
SlashCmdList["SHOW"] = ShowPartyHeader;
SlashCmdList["RAIDX"] = HideRaidHeader;
SlashCmdList["NUM"] = ShowRaidHeader;



---- ALWAYS SHOW RAID/PARTY FRAMES by @DanzenWoW
function SRF_CompactPartyFrame()
	local groupFramesShown = (IsInGroup() and not IsInRaid()) or (not IsInGroup() and not IsInRaid()) or EditModeManagerFrame:ArePartyFramesForcedShown();
	local showCompactPartyFrame = groupFramesShown and EditModeManagerFrame:UseRaidStylePartyFrames();
	CompactPartyFrame:SetShown(showCompactPartyFrame);
	PartyFrame:UpdatePaddingAndLayout();
end

hooksecurefunc("CompactPartyFrame_UpdateVisibility", SRF_CompactPartyFrame);